#
# spec file for package bomberclone
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           bomberclone
Version:        0.11.9
Release:        3.2
Summary:        Clone of the game AtomicBomberMan
License:        GPL-2.0+
Group:          Amusements/Games/Action/Other
Url:            http://www.bomberclone.de/
Source0:        http://downloads.sourceforge.net/project/bomberclone/bomberclone/%{name}-%{version}.tar.gz
Source1:        bomberclone.desktop
Patch0:         %{name}-0.11.9-sdl.patch
Patch1:         %{name}-0.11.9-gcc46.patch
Patch2:         %{name}-0.11.9-prototype.patch
Patch3:         %{name}-0.11.9-dirs.patch
Patch4:         %{name}-0.11.9-libm.patch
Patch5:         %{name}-0.11.9-subscript.patch
#PATCH-FIX-UPSTREAM marguerite@opensuse.org - gcc6 misleading indentation, 'if' clause does not guard
Patch6:         %{name}-0.11.9-gcc6.patch
BuildRequires:  automake
BuildRequires:  fdupes
BuildRequires:  libSDL_image-devel
BuildRequires:  libSDL_mixer-devel
BuildRequires:  update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Clone of the game AtomicBomberMan.

%prep
%setup -q
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5 -p1
%patch6 -p1

%build
autoreconf -fi
# --enable-debug (default) adds -ggdb -O0 to CFLAGS - and does nothing else
# -O0 is not desired and -g is set via optflags by RPM, so we pass
# --disable-debug
%configure --docdir=%{_docdir}/%{name} --disable-debug CFLAGS="%{optflags} -fgnu89-inline"
make %{?_smp_mflags}

%install
%make_install
%suse_update_desktop_file -i %{name}
%fdupes %{buildroot}

%files
%defattr(-,root,root)
%{_docdir}/%{name}
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Fri Jun 24 2016 i@marguerite.su
- add patch: bomberclone-0.11.9-gcc6.patch
  * fix boo#985197
  * fix misleading indentation: 'if' clause does not guard
* Sun Jun 21 2015 antoine.belvire@laposte.net
- Fix compilation with GCC 5: add -fgnu89-inline to CFLAGS.
* Wed Apr  8 2015 dimstar@opensuse.org
- Add a comment to the .desktop file (minimal requirement to show
  up in AppStream based software centers).
* Sun Jul 29 2012 aj@suse.de
- Build with optimization.
- Do not access array with negative index.
* Thu Dec  1 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Sat Sep 17 2011 coolo@suse.com
- fix link with -lm for real
* Sat Sep 17 2011 coolo@suse.com
- remove _service, too fragile
* Mon May 16 2011 reddwarf@opensuse.org
- update to 0.11.9
  * changed: opengamecache had to move to my own server. New
    address: ogc.gulpe.de:11111
  * fixed: bug with selecting a player gfx.
  * bug about compute points of the winner in multiplayer mode
  * fixed: bug for server for coputing point (Suppress all process
    in reception of playerdata)
  * display points on general menu
  * scorring now a unique players wins a round add 1 point (bonus
    for victory) and numer of player killed by the winner
  * Added Joystick support
  * Added some more resolutions. (requested by some users)
  * Fixed some drawing issues with flying bombs.
  * The last special item use was lost on clients in a network
    game.
  * Fixed problem with kicked bombs can travel in time.
  * Special settings will be saved into the config file.
  * Fixed problem on slow networks with the loop that the selected
    player gfx gots selected and deselected. (infinite loop on the
    network)
  * Fixed problem with overwriting the servers address on clients
  * Multiple bug fixes
- fixed gcc 4.6 compilations problems
- fixed math functions and SDL detection
- made it honor configure options
- added desktop file (menu entry)
- cleaned with spec-cleaner
* Tue Jan 29 2008 aj@suse.de
- Add prototypes to fix build.
- Use fdupes.
- Use rpmoptflags.
* Tue Mar 13 2007 pgajdos@suse.cz
- fixed: 'warning: array subscript is above array bounds' (#242031)
- array_subscript.patch
* Fri Sep 29 2006 hmacht@suse.de
- update to 0.11.7 which fixes some security issues
  (novell bug 206913)
- remove CVS directories and content from tarball
* Mon Sep 11 2006 hmacht@suse.de
- add autoconf invocation
* Mon Aug 14 2006 hmacht@suse.de
- initial package checkin
- add patch to install documentation in standard path
